diff --git a/src/latexdocvisitor.cpp b/src/latexdocvisitor.cpp
index 86ceaded..5e46b8ab 100644
--- a/src/latexdocvisitor.cpp
+++ b/src/latexdocvisitor.cpp
@@ -218,7 +218,7 @@ void LatexDocVisitor::visit(DocURL *u)
     if (u->isEmail()) m_t << "mailto:";
     m_t << u->url() << "}";
   }
-  m_t << "{\\tt ";
+  m_t << "\\texttt{";
   filter(u->url());
   m_t << "}";
 }
@@ -1232,7 +1232,7 @@ void LatexDocVisitor::visitPre(DocHRef *href)
     m_t << href->url();
     m_t << "}";
   }
-  m_t << "{\\tt ";
+  m_t << "\\texttt{";
 }
 
 void LatexDocVisitor::visitPost(DocHRef *) 
@@ -1479,7 +1479,7 @@ void LatexDocVisitor::visitPre(DocParamList *pl)
   {
     if (pl->direction()!=DocParamSect::Unspecified)
     {
-      m_t << "\\mbox{\\tt ";
+      m_t << "\\mbox{\\texttt{";
       if (pl->direction()==DocParamSect::In)
       {
         m_t << "in";
@@ -1492,7 +1492,7 @@ void LatexDocVisitor::visitPre(DocParamList *pl)
       {
         m_t << "in,out";
       }
-      m_t << "} ";
+      m_t << "}} ";
     }
     if (useTable) m_t << " & ";
   }
@@ -1515,7 +1515,7 @@ void LatexDocVisitor::visitPre(DocParamList *pl)
     }
     if (useTable) m_t << " & ";
   }
-  m_t << "{\\em ";
+  m_t << "\\textem{";
   //QStrListIterator li(pl->parameters());
   //const char *s;
   QListIterator<DocNode> li(pl->parameters());
diff --git a/src/latexgen.cpp b/src/latexgen.cpp
index 7a2ea598..8eabe875 100644
--- a/src/latexgen.cpp
+++ b/src/latexgen.cpp
@@ -1373,7 +1373,7 @@ void LatexGenerator::startHtmlLink(const char *url)
     t << url;
     t << "}";
   }
-  t << "{\\tt ";
+  t << "\\texttt{";
 }
 
 void LatexGenerator::endHtmlLink()
@@ -1389,7 +1389,7 @@ void LatexGenerator::endHtmlLink()
 //    t << url;
 //    t << "}";
 //  }
-//  t << "{\\tt "; 
+//  t << "\\texttt{";
 //  docify(url);
 //  t << "}";
 //}
@@ -1397,7 +1397,7 @@ void LatexGenerator::endHtmlLink()
 void LatexGenerator::writeStartAnnoItem(const char *,const char *,
                                         const char *path,const char *name)
 {
-  t << "\\item\\contentsline{section}{\\bf ";
+  t << "\\item\\contentsline{section}\\textbf{";
   if (path) docify(path);
   docify(name); 
   t << "} ";
@@ -1432,7 +1432,7 @@ void LatexGenerator::endIndexValue(const char *name,bool /*hasBrief*/)
 //void LatexGenerator::writeClassLink(const char *,const char *,
 //                                    const char *,const char *name)
 //{
-//  t << "{\\bf ";
+//  t << "\\textbf{";
 //  docify(name);
 //  t << "}"; 
 //}
@@ -1866,12 +1866,12 @@ void LatexGenerator::startMemberDescription(const char *,const char *,bool)
 {
   if (!insideTabbing)
   { 
-    t << "\\begin{DoxyCompactList}\\small\\item\\em "; 
+    t << "\\begin{DoxyCompactList}\\small\\item\\textem{"; 
   }
   else
   {
     for (int i=0;i<m_indent+2;i++) t << "\\>";
-    t << "{\\em ";
+    t << "\\textem{";
   }
 }
 
@@ -1880,7 +1880,7 @@ void LatexGenerator::endMemberDescription()
   if (!insideTabbing)
   {
     //t << "\\item\\end{DoxyCompactList}"; 
-    t << "\\end{DoxyCompactList}"; 
+    t << "}\\end{DoxyCompactList}"; 
   }
   else
   {
@@ -2005,7 +2005,7 @@ void LatexGenerator::endMemberGroupHeader()
 
 void LatexGenerator::startMemberGroupDocs()
 {
-  t << "{\\em ";
+  t << "\\textem{";
 }
 
 void LatexGenerator::endMemberGroupDocs()
@@ -2195,7 +2195,7 @@ void LatexGenerator::startConstraintList(const char *header)
 
 void LatexGenerator::startConstraintParam()
 {
-  t << "\\item[{\\em ";
+  t << "\\item[\\textem{";
 }
 
 void LatexGenerator::endConstraintParam()
@@ -2204,7 +2204,7 @@ void LatexGenerator::endConstraintParam()
 
 void LatexGenerator::startConstraintType()
 {
-  t << "} : {\\em ";
+  t << "} : \\textem{";
 }
 
 void LatexGenerator::endConstraintType()
